> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Feed

> Get a specific feed



## OpenAPI

````yaml GET /api/v1/feeds/{feed_id}
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/feeds/{feed_id}:
    get:
      tags:
        - Feeds
      summary: Get a feed
      description: Returns a feed
      operationId: getFeed
      parameters:
        - description: Unique identifier of the feed
          in: path
          name: feed_id
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              example:
                configuration:
                  cadence:
                    end_date: '2024-03-01'
                    next_transmission: '2024-08-30T10:00:00+00:00'
                    paused: true
                    rrule: RRULE:FREQ=DAILY
                    start_date: '2023-03-01'
                    time_of_day: '06:00'
                    zone_info: US/Eastern
                created: 1690395918
                last_transmission:
                  id: bda1b068-3e6a-4cc3-9769-0fb8a38649ce
                  sent_timestamp: 1759238254
                modified: 1690395918
                name: feed-me
                next_transmission: 1759339054
                paused: false
                status: active
                version: 49ed5785-d8e1-4c3d-a09d-2f3625b9f2b1
              schema:
                $ref: '#/components/schemas/PublicFeedResult'
          description: Successful Response - Returns a single feed
components:
  schemas:
    PublicFeedResult:
      properties:
        carrier_id:
          description: Unique identifier of the carrier in Noyo
          format: uuid
          readOnly: true
          type: string
        configuration:
          allOf:
            - $ref: '#/components/schemas/PublicFeedConfiguration'
          description: Configuration of the feed
          readOnly: true
        created:
          description: The date the record was created
          type: integer
        group_ids:
          description: List of group IDs associated with this feed
          items:
            format: uuid
            type: string
          readOnly: true
          type: array
        id:
          description: Unique identifier of the record in Noyo
          format: uuid
          type: string
        last_transmission:
          allOf:
            - $ref: '#/components/schemas/UIFeedsLastTransmissionResult'
          description: Last transmission of feed
        modified:
          description: The date the record was last updated
          type: integer
        name:
          description: Status of the feed
          readOnly: true
          type: string
        next_transmission:
          description: Next transmission date of feed
          format: date-time
          nullable: true
          type: string
        paused:
          description: Whether feed is paused or not
          nullable: true
          type: boolean
        version:
          description: Current version of the record
          format: uuid
          type: string
      required:
        - carrier_id
        - configuration
        - created
        - group_ids
        - id
        - modified
        - name
        - paused
        - version
      type: object
      x-field_order: []
    PublicFeedConfiguration:
      properties:
        cadence:
          $ref: '#/components/schemas/Cadence'
      type: object
    UIFeedsLastTransmissionResult:
      properties:
        id:
          description: ID of transmission
          format: uuid
          type: string
        sent_timestamp:
          description: DateTime the transmission was sent to the carrier
          type: integer
      required:
        - id
        - sent_timestamp
      type: object
    Cadence:
      properties:
        end_date:
          format: date
          type: string
        next_transmission:
          format: date-time
          nullable: true
          type: string
        paused:
          type: boolean
        rrule:
          type: string
        start_date:
          format: date
          type: string
        time_of_day:
          pattern: ^([01]?[0-9]|2[0-3]):[0-5][0-9]$
          type: string
        zone_info:
          enum:
            - Etc/UTC
            - US/Eastern
            - US/Central
            - US/Mountain
            - US/Pacific
          type: string
      required:
        - end_date
        - next_transmission
        - paused
        - rrule
        - start_date
        - time_of_day
        - zone_info
      type: object

````